Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Preview campaign revision

POST /api/v1/campaign-revisions/preview

Deterministically preview a prelaunch campaign revision. Returns changed fields, exact impact, row cohort, and a proposal fingerprint. Does not invoke AI or write data.

Parameters

workspaceIdrequired
string
No description.
briefIdrequired
string
No description.
segmentIdrequired
string
No description.
expectedVersionrequired
integer
No description.
proposedPlanrequired
object
No description.
expectedSegmentUpdatedAt
string
No description.
segmentPatch
object
No description.
reason
string
No description.

Example

REST requestbash
curl -X POST "https://app.pipeline.help/api/v1/campaign-revisions/preview" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"workspaceId":"00000000-0000-4000-8000-000000000000","briefId":"00000000-0000-4000-8000-000000000000","segmentId":"00000000-0000-4000-8000-000000000000","expectedVersion":1,"proposedPlan":{}}'

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"changedFields": {
"type": "array",
"items": {
"type": "string"
}
},
"proposalFingerprint": {
"type": "string"
},
"impact": {
"type": "object"
},
"validation": {
"type": "object"
}
},
"required": [
"changedFields",
"proposalFingerprint",
"impact",
"validation"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline